| OpenSubdiv

Loading...
Searching...
No Matches
LimitStencilTableFactoryReal< REAL >::Options Struct Reference

`#include <stencilTableFactory.h>`

## Public Member Functions
| Options ()

## Public Attributes
unsigned int | interpolationMode: 2
| interpolation mode
unsigned int | generate1stDerivatives: 1
| Generate weights for 1st derivatives.
unsigned int | generate2ndDerivatives: 1
| Generate weights for 2nd derivatives.
unsigned int | fvarChannel
| face-varying channel to use

## Detailed Description

template<typename REAL>
struct OpenSubdiv::OPENSUBDIV_VERSION::Far::LimitStencilTableFactoryReal< REAL >::Options

Definition at line 219 of file stencilTableFactory.h.

## Constructor & Destructor Documentation

## ◆ Options()

template<typename REAL>

Options | ( |  | ) |
| inline

Definition at line 221 of file stencilTableFactory.h.

## Member Data Documentation

## ◆ fvarChannel

template<typename REAL>

unsigned int fvarChannel

face-varying channel to use

Definition at line 229 of file stencilTableFactory.h.

## ◆ generate1stDerivatives

template<typename REAL>

unsigned int generate1stDerivatives

Generate weights for 1st derivatives.

Definition at line 227 of file stencilTableFactory.h.

## ◆ generate2ndDerivatives

template<typename REAL>

unsigned int generate2ndDerivatives

Generate weights for 2nd derivatives.

Definition at line 228 of file stencilTableFactory.h.

## ◆ interpolationMode

template<typename REAL>

unsigned int interpolationMode

interpolation mode

Definition at line 226 of file stencilTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/stencilTableFactory.h